/*
	VBScript Block Comment 1.0

	Joel Mueller, Creative Internet Solutions
	jmueller@creativeis.com
	
	This script will comment the selected lines of VBScript code.
	Since VBScript doesn't have "block comments" like other languages, this can
	be very handy, particularly for ASP developers.

*/

function Main() {
	var app = Application;
	var active = app.ActiveDocument;
	var strText = new String();
	var strOutput = "'";
	
	active.BeginUpdate();
	strText = active.SelText;

	for (i=0; i < strText.length; i++) {
		if (strText.charCodeAt(i) == 10 && i < (strText.length - 1)) {
			strOutput += strText.charAt(i) + "'";
		} else {
			strOutput += strText.charAt(i);
		}
	}
	
	active.SelText = strOutput;
	active.EndUpdate();

	app.HideProgress();
	app.SetStatusText("");
}
